package com.hai.service;

import com.hai.entity.HighDiscount;
import com.hai.entity.HighDiscountCouponRel;

import java.util.List;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/3 22:52
 */
public interface HighDiscountCouponRelService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/4/3 23:12
     **/
    void insertDiscountCouponList(List<HighDiscountCouponRel> highDiscountCouponRelList);

    /**
     * @Author 胡锐
     * @Description 修改
     * @Date 2021/4/4 11:24
     **/
    void updateDiscountCoupon(HighDiscountCouponRel highDiscountCouponRel);

    /**
     * @Author 胡锐
     * @Description 删除
     * @Date 2021/4/4 0:05
     **/
    void deleteDiscountCoupon(Long id);

    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/4/4 11:24
     **/
    HighDiscountCouponRel getRelById(Long id);

    /**
     * @Author 胡锐
     * @Description 根据优惠券和卡卷查询
     * @Date 2021/4/4 0:06
     **/
    HighDiscountCouponRel getRelByDiscountCoupon(Long discountId,Long couponId);

    /**
     * @Author 胡锐
     * @Description 根据卡券查询
     * @Date 2021/4/4 20:23
     **/
    List<HighDiscountCouponRel> getRelByCoupon(Long couponId);

    /**
     * @Author 胡锐
     * @Description 根据优惠券查询
     * @Date 2021/4/3 23:12
     **/
    List<HighDiscountCouponRel> getRelByDiscount(Long discountId);

}
